Bug 1169845 (CVE-2014-9092) - CVE-2014-9092 libjpeg-turbo: denial of service via specially-crafted JPEG file
Summary: CVE-2014-9092 libjpeg-turbo: denial of service via specially-crafted JPEG file
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2014-9092
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20141026,reported=2...
Depends On: 1169850 1169851 1169853
Blocks: 1161640
TreeView+ depends on / blocked
 
Reported: 2014-12-02 14:48 UTC by Vincent Danen
Modified: 2019-06-08 20:18 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-13 12:14:30 UTC


Attachments (Terms of Use)

Description Vincent Danen 2014-12-02 14:48:53 UTC
A flaw in libjpeg-turbo was reported [1],[2],[3] that could lead to a local denial of service when processing a specially-crafted JPEG issue.

One of the reports indicate that this only affects versions of libjpeg-turbo prior to 1.3.1 due to 1.3.1 rejecting the malformed image due to duplicate SOI markers.

Upstream has fixes for this issue [4],[5].  Also refer to the upstream bug [6].

[1] http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=26482&sid=81658bc2f51a8d9893279cd01e83783f
[2] http://seclists.org/oss-sec/2014/q4/557
[3] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=768369
[4] http://sourceforge.net/p/libjpeg-turbo/code/1365/
[5] http://sourceforge.net/p/libjpeg-turbo/code/1367/
[6] http://sourceforge.net/p/libjpeg-turbo/bugs/64/

Comment 1 Vincent Danen 2014-12-02 14:53:03 UTC
Created libjpeg-turbo tracking bugs for this issue:

Affects: fedora-all [bug 1169850]

Comment 2 Vincent Danen 2014-12-02 14:53:05 UTC
Created mingw-libjpeg-turbo tracking bugs for this issue:

Affects: fedora-all [bug 1169851]
Affects: epel-7 [bug 1169853]

Comment 6 Fedora Update System 2015-03-06 07:00:59 UTC
libjpeg-turbo-1.3.1-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-03-06 07:01:40 UTC
libjpeg-turbo-1.3.1-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.